/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreElementHierarchyGroup;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * group multiple hierarchy elements as group with min and max to define how
 * many of these variables must be filled out. Currently used in interview only.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreElementHierarchyGroupRecord extends UpdatableRecordImpl<TCoreElementHierarchyGroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.t_core_element_hierarchy_group.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_element_hierarchy_group.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_element_hierarchy_group.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_element_hierarchy_group.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_element_hierarchy_group.min</code>.
     */
    public void setMin(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_element_hierarchy_group.min</code>.
     */
    public Integer getMin() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_element_hierarchy_group.max</code>.
     */
    public void setMax(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_element_hierarchy_group.max</code>.
     */
    public Integer getMax() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreElementHierarchyGroupRecord
     */
    public TCoreElementHierarchyGroupRecord() {
        super(TCoreElementHierarchyGroup.T_CORE_ELEMENT_HIERARCHY_GROUP);
    }

    /**
     * Create a detached, initialised TCoreElementHierarchyGroupRecord
     */
    public TCoreElementHierarchyGroupRecord(LocalDateTime lastchange, Integer pk, Integer min, Integer max) {
        super(TCoreElementHierarchyGroup.T_CORE_ELEMENT_HIERARCHY_GROUP);

        setLastchange(lastchange);
        setPk(pk);
        setMin(min);
        setMax(max);
        resetChangedOnNotNull();
    }
}
